Package: groovy.org.codenarc.rule.dry

## [Groovy] Class DuplicateNumberLiteralRule

- groovy.org.codenarc.rule.dry.DuplicateNumberLiteralRule

- Checks for duplication of constant number literal values.

  Set the optional `ignoreNumbers` property to a comma-separated list (String) of the numbers that should be ignored by this rule (i.e., not cause a violation). This property defaults to "0,1" to ignore the constants zero and one. By default, this rule does not apply to test files.
  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `doNotApplyToFilesMatching`
    `String` | `ignoreNumbers`
    `String` | `name`
    `int` | `priority`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `AstVisitor` | `getAstVisitor()`

- - ### Property Detail

    - #### String doNotApplyToFilesMatching

    - #### String ignoreNumbers

    - #### String name

    - #### int priority

  - ### Method Detail

    - #### @Override AstVisitor getAstVisitor()